Bug 1279612 - Enable configuration of OVS ARP Responder [NEEDINFO]
Enable configuration of OVS ARP Responder
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
low Severity unspecified
: ---
: 11.0 (Ocata)
Assigned To: Brent Eagles
Shai Revivo
: ZStream
Depends On: 1271336
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 15:57 EST by Brent Eagles
Modified: 2017-03-15 13:36 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 1271336
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amuller: needinfo? (beagles)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 244801 None None None Never

  None (edit)
Description Brent Eagles 2015-11-09 15:57:44 EST
+++ This bug was initially created as a clone of Bug #1271336 +++

We should be able to explicitly configure the OVS ARP Responder feature. To enable:

 1. Enable L2 population (see https://bugzilla.redhat.com/show_bug.cgi?id=1271335)

 2. set the following value in the OVS Agent configuration for all nodes running an OVS agent:

[agent]
arp_responder = True
Comment 2 Emilien Macchi 2015-12-01 12:31:08 EST
A patch in TripleO Heat Templates needs to be pushed to enabled this parameter (false by default):
https://github.com/openstack/puppet-neutron/blob/2c1bca9641b15309b4eb9d761dc4293b1bb9ae85/manifests/agents/ml2/ovs.pp#L126
Comment 5 Mike Burns 2016-04-07 16:57:01 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 7 Stephen Gordon 2016-06-09 14:49:18 EDT
Bulk update to reflect scope of Red Hat OpenStack Platform 9 and Red Hat OpenStack Platform does not include this issue (No pm_ack+).
Comment 9 Assaf Muller 2017-01-12 08:43:06 EST
@Brent, would you kindly take care of this? We'd like to see the ability to configure the ARP responder, however it should be off by default at this point. In parallel we'll contact the performance team to see the effect of this knob and make recommendations about the default value in a future release.

Note You need to log in before you can comment on or make changes to this bug.